summaryrefslogtreecommitdiffstats
path: root/debian/tests/test-func-root
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/test-func-root')
-rw-r--r--debian/tests/test-func-root13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/tests/test-func-root b/debian/tests/test-func-root
new file mode 100644
index 0000000..4b26aa9
--- /dev/null
+++ b/debian/tests/test-func-root
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ "$(id -u)" != '0' ]; then
+ # Fail, we declared needing root as a restriction.
+ exit 1
+fi
+
+export DPKG_TESTSUITE_OPTIONS="debug as-root"
+export DPKG_ADMINDIR="$AUTOPKGTEST_TMP/db"
+
+eatmydata make -C tests test DPKG_ADMINDIR="$DPKG_ADMINDIR"